body {
    margin: 0;
    min-height: 100vh;
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: min-content minmax(400px, 1fr) min-content;
}

.main {
    margin-top: 20px;
    margin-bottom: 20px;
}

footer {
    line-height: 60px;
    text-align: center;
}

#userpic-input, #image-input {
    height: auto;
}

#catalog-items {
    display: flex;
    flex-wrap: wrap;
    margin-right: -10px;
    margin-left: -10px;
}

.catalog-item {
    width: 16rem;
    margin: 10px;
}

.catalog-item .img-container {
    margin: 15px;
    max-width: 100%;
    height: 200px;
}

.catalog-item .img-container img {
    max-height: 100%;
    object-fit: contain;
}

.catalog-item .card-body {
    padding-top: 5px;
}

.item-description {
    height: 100px;
    overflow-y: auto;
    border-radius: 5px;
    padding: 5px 10px;
    background-color: #f1f1f1;
}

#gallery {
    display: flex;
    overflow-x: auto;
    padding-top: 10px;
    padding-bottom: 10px;
}

#gallery .img-container {
    height: 150px;
    margin: 10px;
}

#gallery .img-container img {
    max-width: 100%;
    max-height: 100%;
    width: auto;
}

#cart-items .img-container {
    height: 100px;
}

#cart-items .img-container img {
    height: 100%;
    width: auto;
}

#map {
    min-height: 300px;
    max-height: 100vh;
    height: 500px;
}

#collapsableGallery #gallery .img-container {
    height: 150px;
    width: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 5px;
    padding: 5px;
    border: 1px solid #d8d5d5;
    position: relative;
}

#collapsableGallery #gallery input[type="checkbox"] {
    position: absolute;
    right: 8px;
    top: 8px;
    margin: 0;
    transform: scale(1.5);
    box-shadow: 0 0 1px 1px white;
}